Subject: Re: [PATCH net-next v4 3/8] virtio_net: support device stats

From: Jakub Kicinski <[email-masked]>
Date: Tue, 19 Mar 2024 10:15:25 -0700

On Fri, 15 Mar 2024 16:05:40 +0800 Xuan Zhuo wrote:
> > Don't duplicate the stats which get reported via the netlink API in
> > ethtool. Similar story to the rtnl stats:
> >
> > https://docs.kernel.org/next/networking/statistics.html#notes-for-driver-authors  
> 
> Sorry, this patch set did not follow this.
> 
> I will fix in next version.
> 
> But I plan that will be done in the commit "virtio-net: support queue stat".
> This commit in next version will report all stat by ethtool -S.
> The commit "virtio-net: support queue stat" in next version
> will not report the duplicate the stats that reported via the netlink API.
> 
> Do you think ok?

I guess that could save time refactoring the code, but we generally
push authors to go the extra mile and make reviewers life easier.
Also, in a way, making the evolution of the code base look more
logical. So I'd prefer if the series was reorganized to never
expose the standard stats via -S.